Well, after a lot of different attempts to get past this problem, it seems that expat isn't building all the files it needs to.

===>  Building package for expat-1.95.7
Creating package /usr/ports/packages/All/expat-1.95.7.tgz
Registering depends:.
Creating gzip'd tar ball in '/usr/ports/packages/All/expat-1.95.7.tgz'
tar: lib/libexpat.so.5: Cannot stat: No such file or directory
tar: Error exit delayed from previous errors
pkg_create: make_dist: tar command failed with code 512

The missing so files are consistent with what I see when I try to build against an upgraded expat installation. The packaged version works just file: the so files are installed and all is well. But portupgrade wants to upgrade expat, and when it does, those missing files make everything else fail.

I have no idea how to resolve the issue at the port level: is there a workaround? and I have been pulling from CVS so this shouldn't be an issue of being out of sync, I don't think.

ruby is at 1.8.1, per someone else's advice, as well.


-- Paul Beard <www.paulbeard.org/> paulbeard [at] mac.com

Reply via email to